Summary: Tools to manage multipath devices using device-mapper.
Name: device-mapper-multipath
Version: 0.4.7
Release: 63%{?dist}
License: GPL
Group: System Environment/Base
URL: http://christophe.varoqui.free.fr/
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
# cvs -d :pserver:cvs@sourceware.org:/cvs/dm export -r t0_4_7_rhel5_36 -d multipath-tools-0.4.7.rhel5.36 multipath-tools
# rm -rf multipath-tools-0.4.7.rhel5.36/getuid
# tar -czvf multipath-tools-0.4.7.rhel5.36.tgz multipath-tools-0.4.7.rhel5.36
Source0: multipath-tools-0.4.7.rhel5.36.tgz
Patch0: bz833193_pt2.patch
Patch1: bz872439.patch
Patch2: bz827016.patch
Patch3: bz860185.patch
Patch4: bz910585.patch
Patch5: bz916630.patch
Patch6: bz839983.patch
Patch7: bz522108.patch
Patch8: bz855147.patch
Patch9: bz799907.patch
Patch10: bz948309.patch
Patch11: bz1039935.patch
Patch12: bz489499.patch
Patch13: bz852011.patch
Patch14: bz1004179.patch
Patch15: bz798543.patch
Patch16: bz1086949.patch
Patch17: bz1092603.patch
Requires: kpartx = %{version}-%{release}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prereq: chkconfig
BuildRequires: libsysfs-devel, device-mapper >= 1.02.02-2
BuildRequires: libselinux-devel, libsepol-devel
BuildRequires: readline-devel, ncurses-devel, libaio-devel

%description
%{name} provides tools to manage multipath devices by instructing the 
device-mapper multipath kernel module what to do. 
The tools are :
* multipath :   Scan the system for multipath devices and assemble them.
* multipathd :  Detects when paths fail and execs multipath to update things.

%package -n kpartx
Summary: Partition device manager for device-mapper devices.
Group: System Environment/Base
Provides: kpartx = %{version}-%{release}

%description -n kpartx
kpartx manages partition creation and removal for device-mapper devices.

%prep
%setup -q -n multipath-tools-0.4.7.rhel5.36
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" DESTDIR=$RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT bindir=/sbin rcdir=/etc/rc.d/init.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add multipathd

%preun
if [ "$1" = 0 ]; then
        /sbin/chkconfig --del multipathd
fi

%files
%defattr(-,root,root,-)
/sbin/cciss_id
/sbin/multipath
/sbin/multipath.static
/sbin/multipathd
/sbin/mpath_prio_alua
/sbin/mpath_prio_alua.static
/sbin/mpath_prio_emc
/sbin/mpath_prio_emc.static
/sbin/mpath_prio_ontap
/sbin/mpath_prio_ontap.static
/sbin/mpath_prio_netapp
/sbin/mpath_prio_netapp.static
/sbin/mpath_prio_hds_modular
/sbin/mpath_prio_hds_modular.static
/sbin/mpath_prio_tpc
/sbin/mpath_prio_tpc.static
/sbin/mpath_prio_rdac
/sbin/mpath_prio_rdac.static
/sbin/mpath_prio_hp_sw
/sbin/mpath_prio_hp_sw.static
/sbin/mpath_prio_weighted
/sbin/mpath_prio_weighted.static
/sbin/mpath_prio_intel
/sbin/mpath_prio_intel.static
/sbin/mpath_wait
/sbin/mpath_ctl
/etc/udev/rules.d/40-multipath.rules
%{_mandir}/man8/mpath_prio_alua.8.gz
%{_mandir}/man8/multipath.8.gz
%{_mandir}/man8/multipathd.8.gz
%{_mandir}/man5/multipath.conf.5.gz
%config /etc/rc.d/init.d/multipathd
%config(noreplace) /etc/multipath.conf
%doc AUTHOR COPYING README* FAQ Multipath-usage.txt multipath.conf.annotated multipath.conf.defaults multipath.conf.synthetic
%dir /var/lib/multipath

%files -n kpartx
%defattr(-,root,root,-)
/sbin/kpartx
/sbin/kpartx.static
%{_mandir}/man8/kpartx.8.gz

%changelog
* Tue Apr 15 2014 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-63.el5
- Added bz1092603.patch
  * don't free memory needed by other threads during shutdown, to avoid
    races ending in use after free corruption.
- Resolves: bz #1092603

* Tue Apr 15 2014 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-62.el5
- Added bz1086949.patch
  * make multipathd block sighup until after it finishes starting-up
- Resolves: bz #1086949

* Fri Mar 28 2014 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-61.el5
- Added bz489499.patch
  * update multipathd man page
- Added bz852011.patch
  * fixed typo in multipath.conf.annotated
- Added bz1004179.patch
  * updated multipath.conf.defaults
- Added bz798543.patch
  * changed rpm build flags
- Added instructions to get upstream tarball
- Resolves: bz #489499, #560955, #798543, #852011, #1004179

* Thu Feb 13 2014 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-60.el5
- Added bz1039935.patch
  * Fix duplicate device name corruption
- Resolves: bz #1039935

* Wed Jul 17 2013 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-59.el5
- Added bz948309.patch
- Resolves: bz #948309

* Wed May  8 2013 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-58.el5
- Added bz799907.patch
- Resolves: bz #799907

* Fri Apr 12 2013 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-57.el5
- Added bz522108.patch
- Added bz855147.patch
- Resolves: bz #522108, #855147

* Thu Apr 11 2013 Benjmain Marzinski <bmarzins@redhat.com> 0.4.7-56.el5
- Added bz827016.patch
- Added bz860185.patch
- Added bz910585.patch
- Added bz916630.patch
- Added bz839983.patch
- Resolves: bz #827016, #860185, #910585, #916630, #839983

* Thu Jan 24 2013 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-55.el5
- Added bz872439.patch
- Resolves: bz #872439

* Tue Aug 10 2012 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-54.el5
- Added bz833193_pt2.patch
- Resolves: bz #833193

* Tue Aug  7 2012 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-53.el5
- Updated to latest source, t0_4_7_rhel5_36
- Resolves: bz #843626

* Thu Jul 12 2012 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-52.el5
- Added bz744231-pg_prio.patch
- Resolves: bz #744231

* Wed Jul 11 2012 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-51.el5
- Updated to latest source, t0_4_7_rhel5_35
- Resolves: bz #644989, #744231, #747180, #799847, #833193

* Thu Jun 14 2012 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-50.el5
- Updated to latest source, t0_4_7_rhel5_34
- Resolves: bz #747180, #769990, #771571, #781480, #783522, #788965

* Thu Mar 22 2012 Benjamin Marzinksi <bmarzins@redhat.com> 0.4.7-49.el5
- Updated to latest source, t0_4_7_rhel5_33
- Resolves: bz #742906, #803849

* Thu Oct 27 2011 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-48.el5
- Updated to latest source, t0_4_7_rhel5_32
- Resolves: bz #703277, #719575, #729478, #737072, #740022, #740512, #741664, #742906

* Tue Oct 11 2011 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-47.el5
- Updated to latest source, t0_4_7_rhel5_31
- Resolves: bz #650795, #655203, #655976, #702410, #703501, #711970, #715524, #716329

* Mon Apr 11 2011 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-46.el5
- Added bz639429p2.patch
- Resolves: bz #639429

* Thu Apr  7 2011 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-45.el5
- Added bz578109pt2.patch
- Resolves: bz #578109

* Thu Apr  7 2011 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-44.el5
- Updated to latest sourse, t0_4_7_rhel5_30
- Resolves: bz #639429, #627911, #670836, #674366, #675369

* Fri Feb 18 2011 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-43.el5
- Updated to latest source, t0_4_7_rhel5_29
- Resolves: bz #672575, #677821

* Tue Dec  7 2010 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-42.el5
- Update to latest source, t0_4_7_rhel5_28
- Resolves: bz #660238

* Tue Nov 30 2010 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-41.el5
- Update to latest source, t0_4_7_rhel5_27
- Resolves: bz #484419, #570513

* Fri Nov 12 2010 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-40.el5
- Update to latest source, t0_4_7_rhel5_26
- Resolves: bz #647358

* Mon Sep 27 2010 Benjamin Marzinksi <bmarzins@redhat.com> 0.4.7-39.el5
- Update to latest source, t0_4_7_rhel5_25
- Resolves: bz #573495, #580729

* Fri Sep 10 2010 Benjamin Marzinksi <bmarzins@redhat.com> 0.4.7-38.el5
- Update to latest source, t0_4_7_rhel5_24
- Resolves: bz #484419, #559852, #560892, #566685, #568127, #570513, #574813, #576600, #585225, #599686

* Wed Aug 11 2010 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-37.el5
- Update to latest source, t0_4_7_rhel5_23
- Resolves: bz #565579, #562967, #614967

* Wed Jun 23 2010 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-36.el5
- Update to latest source, t0_4_7_rhel5_22
- Resolves: bz #584742, #597789

* Fri Jun 11 2010 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-35.el5
- Added 599053-sysfs-skip-dead-devices.patch
- Resolves: bz #599053

* Tue Feb  9 2010 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-34.el5
- Added 545822_fix_part2.patch
- Added 554830_fix.patch
- Fixed Invista default config, and typo in multipath.conf man page.
- Resolves: bz #545822, #554830 
* Wed Feb  3 2010 Benjamin Marzinski <bmarzins@redaht.com> 0.4.7-33.el5
- Update to latest source, t0_4_7_rhel5_19
- Added new multipath.conf option "checker_timeout". If this is not set the
  checker functions with explicit timeouts use /sys/block/sd<x>/device/timeout
- Resolves: bz #553042

* Wed Jan 27 2010 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-32.el5
- Added 545822_fix.patch
- Resolves: bz #545822

* Wed Dec 16 2009 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-31.el5
- Update to latest source, t0_4_7_rhel5_17
- Resolves: bz #526550, #518575, #512243, #531744, #540882, #537977, #437585, #472171, #473039, #481239, #502128, #510331, #517896, #501019, #524009, #537281, #475967, #499080, #504619, #515171, #524178, #527754, #532424

* Wed Jul  8 2009 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-30.el5
- Added 490633_fixup.patch
- Resolves: bz #490633

* Tue Jun 23 2009 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-29.el5
- Added 506715_remove_rule.patch
- Resolves: bz #506715

* Wed Jun  3 2009 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-28.el5
- Added 437588_set_wwid.patch
- Resolves: bz #437588

* Fri May 15 2009 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-27.el5
- Update to latest source, t0_4_7_rhel5_16
- Resolves: bz #437588, #474451, #462776, #477023, #485296, #489030, #481227, #484711

* Mon May  1 2009 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-26.el5
- Update to latest source, t0_4_7_rhel5_15
- Resolves: bz #471854, #496682, #472451, #490633

* Mon Apr  6 2009 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-25.el5
- Update to latest source, t0_4_7_rhel5_14
- Resolves: bz #452897, #480048, #457776, #459629, #470896, #493402

* Wed Apr  1 2009 Mike Snitzer <snitzer@redhat.com> 0.4.7-24.el5
- Added 493402_multipathd_umask_fix.patch
- Resolves: bz #493402

* Wed Dec 10 2008 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-23.el5
- Added 474627_break_loop.patch
- Resolves: bz #474627

* Tue Nov  4 2008 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-22.el5
- Added 457226-fix.patch
- Resolves: bz #457226

* Mon Oct 13 2008 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-21.el5
- Make sure multipathd always uses a valid amount for the thread stack size.
- Resolves: bz #465117

* Tue Oct  7 2008 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-20.el5
- Fixed a regression introduced by the fix for 449097.
- Related: bz #449097

* Fri Sep 18 2008 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-19.el5
- Update to latest source, t0_4_7_rhel5_13
- Resolves: bz #238421, #419581, #449097, #455692, #456126, #456228, #457226

* Wed Aug 27 2008 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-18.el5
- Update to latest source, t0_4_7_rhel5_12
- Resolves: bz #431843, #434588, #434988, #439366, #440123, #442000, #444421, #446223, #448655, #454928

* Tue Apr  1 2008 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-17.el5
- Fix a selinux crash caused by my earlier fix for 355961
- Resolves: bz #355961

* Thu Feb  7 2008 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-16.el5
- Fixed specfile typeo.
- Resolves: bz #355961

* Thu Feb  7 2008 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-15.el5
- All non-static path_prio callouts are now just symlinks to the static
  ones
- Resolves: bz #355961

* Mon Jan 14 2008 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-14.el5
- Update to latest source, t0_4_7_rhel5_10
- Resolves: bz #226791, #247443, #249088, #251346, #335021, #354661, #355961

* Mon Dec  3 2007 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-13.el5
- Update to latest source, t0_4_7_rhel5_9
- Resolves: bz #357331, #282131

* Thu Aug 16 2007 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-12.el5
- Update to latest source, t0_4_7_rhel5_7
- Resolves: bz #248931

* Mon Aug 13 2007 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-11.el5
- Added patch to fix priority callout for vendor:IBM product:2145
- Resolves: bz #245019

* Tue Jun 19 2007 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-10.el5
- Update to latest source, t0_4_7_rhel5_5
- Resolves: #214838, #223146, #223150, #223762, #231545, #241189, #242723, #243483

* Tue Jun 19 2007 David Cantrell <dcantrell@redhat.com> - 0.4.7-9.el5
- Build static mpath_prio_* callouts (from breeves AT redhat DOT com)
  Related: rhbz#185852

* Wed Jan 10 2007 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-8.el5
- Update to latest source, t0_4_7_rhel5_2
- Resolves bz #219804
- filesystems made on dasd devices may need to be rebuild after upgrading
  to this version.

* Tue Dec 19 2006 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-7.el5
- Updated to latest source, t0_4_7_rhel5_1
- Resolves bz #219804, #218304

* Thu Nov 30 2006 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-6.el5
- Updated to latest source, t0_4_7_post6.
- Resolves bz #215971, #215973, #217972

* Fri Oct 13 2006 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-5.2
- fix tagging issue

* Fri Oct 13 2006 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-5.1
- Updated to latest source.

* Thu Sep  7 2006 Peter Jones <pjones@redhat.com> - 0.4.7-5
- Fix kpartx to handle with drives >2TB correctly.

* Thu Aug 31 2006 Peter Jones <pjones@redhat.com> - 0.4.7-4.1
- Split kpartx out into its own package so dmraid can use it without
  installing multipathd
- Fix a segfault in kpartx

* Mon Jul 17 2006 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-4.0
- Updated to latest source. Fixes bug in default multipath.conf

* Wed Jul 12 2006 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-3.1
- Added ncurses-devel to BuildRequires

* Wed Jul 12 2006 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-3.0
- Updated to latest source. deals with change in libsysfs API

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.4.7-2.2.1
- rebuild

* Mon Jul 10 2006 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-2.2
- fix tagging issue.

* Mon Jul 10 2006 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-2.1
- changed BuildRequires from sysfsutils-devel to libsysfs-devel

* Wed Jun 28 2006 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-2.0
- Updated to latest upstream source, fixes kpartx udev rule issue

* Mon Jun 06 2006 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-1.0
- Updated to Christophe's latest source

* Mon May 22 2006 Alasdair Kergon <agk@redhat.com> - 0.4.5-16.0
- Newer upstream source (t0_4_5_post59).

* Mon May 22 2006 Alasdair Kergon <agk@redhat.com> - 0.4.5-12.3
- BuildRequires: libsepol-devel, readline-devel

* Mon Feb 27 2006 Benjamin Marzinski <bmarzins@redhat.com> 0.4.5-12.2
- Prereq: chkconfig

* Mon Feb 20 2006 Karsten Hopp <karsten@redhat.de> 0.4.5-12.1
- BuildRequires: libselinux-devel

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.4.5-12.0.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-12.0
- Updated to latest upstream source (t0_4_5_post56)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.4.5-9.1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Dec 19 2005 Benjamin Marzinski <bmarzins@redhat.com> - 0.4.5-9.1
- added patch for fedora changes

* Fri Dec 16 2005 Benjamin Marzinski <bmarzins@redhat.com> - 0.4.5-9.0
- Updated to latest upstream source (t)_4_5_post52)

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Sun Dec  4 2005 Peter Jones <pjones@redhat.com> - 0.4.4-2.6
- rebuild for newer libs

* Tue Nov 15 2005 Peter Jones <pjones@redhat.com> - 0.4.4-2.5
- unsplit kpartx.  parted knows how to do this now, so we don't
  need this in a separate package.

* Tue Nov 15 2005 Peter Jones <pjones@redhat.com> - 0.4.4-2.4
- split kpartx out into its own package

* Fri May 06 2005 Bill Nottingham <notting@redhat.com> - 0.4.4-2.3
- Fix last fix.

* Thu May 05 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-2.2
- Fix last fix.

* Wed May 04 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-2.1
- By default, disable the multipathd service.

* Tue Apr 19 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-2.0
- Fix core dump from last build.

* Tue Apr 19 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-1.0
- Move cache file into /var/cache/multipath.

* Fri Apr 08 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-0.pre8.1
- Remove pp_balance_units.

* Mon Apr 04 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-0.pre8.0
- Incorporate numerous upstream fixes.
- Update init script to distribution standards.

* Tue Mar 01 2005 Alasdair Kergon <agk@redhat.com> - 0.4.2-1.0
- Initial import based on Christophe Varoqui's spec file.
